<template>
    <v-container>
        <v-layout row wrap v-if="loading">
            <v-flex xs12 class="text-xs-center">
                <v-progress-circular 
                indeterminate 
                class="primary--text"
                :width="7"
                :size="70"
                ></v-progress-circular>
            </v-flex>
      </v-layout>
        <v-layout row wrap v-else>
            <v-flex xs12>
                <v-card>
                    <v-card-title>
                       <h4 class="primary--text">{{matchmaking.title}}</h4>
                       <template v-if="userIsCreator">
                           <v-spacer></v-spacer>
                           <app-edit-matchmaking-details-dialog :matchmaking="matchmaking"></app-edit-matchmaking-details-dialog>
                       </template>
                    </v-card-title>
                    <v-img
                        :src="matchmaking.imageUrl"
                        height="400px"
                    >
                    </v-img>
                <v-card-text>
                    <div class="info--text">{{matchmaking.date}} at {{matchmaking.time}} - {{matchmaking.location}}</div>
                    <div class="mb-3">
                        <app-edit-matchmaking-date-dialog :matchmaking="matchmaking" v-if="userIsCreator"></app-edit-matchmaking-date-dialog>
                        <app-edit-matchmaking-time-dialog :matchmaking="matchmaking" v-if="userIsCreator"></app-edit-matchmaking-time-dialog>
                    </div>
                    <div>{{matchmaking.description}}</div>
                </v-card-text>
                <v-card-actions>
                    <v-spacer></v-spacer>
                    <app-matchmaking-register-dialog 
                        :matchmakingId="matchmaking.id"
                        v-if="userIsAuthenticated && !userIsCreator"></app-matchmaking-register-dialog>
                </v-card-actions>
                </v-card>
            </v-flex>
        </v-layout>
    </v-container>
</template>
<script>
export default {
    props: ['id'],
    computed: {
        matchmaking () {
            return this.$store.getters.loadedMatchmaking(this.id)
        },
        userIsAuthenticated () {
            return this.$store.getters.user !== null && this.$store.getters.user !== undefined
        },
        userIsCreator () {
            if(!this.userIsAuthenticated) {
                return false
            }
            return this.$store.getters.user.id === this.matchmaking.creatorId
        },
        loading () {
       return this.$store.getters.loading
     }
    }
}
</script>
<style>
#matchmakings {
    background-image : url("../../assets/playstation.jpg");
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
  }
</style>


